robotpkg/wip/py-prf-gazebo-ros-pkgs bulk build results

Log for py27-prf-gazebo-ros-pkgs-3.0.1r5 on Ubuntu-18.04.pal-x86_64: configure.log (Back)

--- Environment --- _override_vars_wip_py_prf_ros_control=PKGREQD PKGREQD PKGREQD _overrides_lang_ros_message_generation_PKGREQD=ros-message-generation>=0.4<0.5 ros-message-generation>=0.4<0.5 ros-message-generation>=0.4<0.5 _overrides_sysutils_ros_diagnostics_PKGREQD=ros-diagnostics>=1.9<1.10 ros-diagnostics>=1.9<1.10 ros-diagnostics>=1.9<1.10 _override_vars_sysutils_py_catkin_pkg=PKGREQD PKGREQD PKGREQD _override_vars_interfaces_ros_common_msgs=PKGREQD PKGREQD PKGREQD ROS_LANG_DISABLE=geneus:gennodejs LOWER_ARCH=x86_64 OPSYS=Ubuntu _overrides_interfaces_ros_common_msgs_PKGREQD=ros-common-msgs>=1.12<1.13 ros-common-msgs>=1.12<1.13 ros-common-msgs>=1.12<1.13 GZIP_CMD=/bin/gzip OS_KERNEL_VERSION=5.4.0-80-generic _overrides_wip_py_prf_ros_control_PKGREQD=py27-prf-ros-control>=0.2 py27-prf-ros-control>=0.2 py27-prf-ros-control>=0.2 _override_vars_pkgtools_pkg_install=PKGREQD PKGREQD PKGREQD LC_TIME=C _override_vars_devel_ros_cmake_modules=PKGREQD PKGREQD PKGREQD _overrides_sysutils_py_catkin_pkg_PKGREQD=py27-catkin-pkg>=0.2 py27-catkin-pkg>=0.2 py27-catkin-pkg>=0.2 PKGREPO2DEB=/local/robotpkg/sbin/pkgrepo2deb BULKBASE=/opt/openrobots ROS_PACKAGE_PATH=/opt/ros/melodic ECHO_N=echo -n _overrides_pkgtools_pkg_install_PKGREQD=pkg_install>=20110805.12 pkg_install>=20110805.12 pkg_install>=20110805.12 OS_VERSION=18.04.pal _overrides_devel_ros_cmake_modules_PKGREQD=ros-cmake-modules>=0.3 ros-cmake-modules>=0.3 ros-cmake-modules>=0.3 _override_vars_devel_boost_headers=PKGREQD PKGREQD PKGREQD ROBOTPKG_BASE=/local/robotpkg PYTHON_LIB=/usr/lib/x86_64-linux-gnu/libpython2.7.so _override_vars_wip_py_prf_gazebo_ros_pkgs=PKGREQD _override_vars_lang_ros_genpy=PKGREQD PKGREQD PKGREQD OLDPWD=/local/robotpkg/var/lib/robotpkg/wip/libhatp _override_vars_pkgtools_tnftp=PKGREQD PKGREQD PYTHON=/usr/bin/python2.7 _overrides_devel_boost_headers_PKGREQD=boost-headers>=1.34.1 boost-headers>=1.34.1 boost-headers>=1.34.1 _overrides_wip_py_prf_gazebo_ros_pkgs_PKGREQD=py27-prf-gazebo-ros-pkgs-3.0.1r5~!doc _overrides_lang_ros_genpy_PKGREQD=ros-genpy>=0.6<0.7 ros-genpy>=0.6<0.7 ros-genpy>=0.6<0.7 PKG_DBDIR=/opt/openrobots/var/db/robotpkg hline="$bf======================================================================$rm" _override_vars_devel_ros_catkin=PKGREQD PKGREQD PKGREQD MACHINE_ARCH=x86_64 _overrides_pkgtools_tnftp_PKGREQD=tnftp>=20091122 tnftp>=20091122 FC=false LC_CTYPE=C NOSETESTS=/usr/bin/nosetests-2.7 _override_vars_devel_ros_class_loader=PKGREQD PKGREQD PKGREQD _overrides_devel_ros_catkin_PKGREQD=py27-ros-catkin>=0.7<0.8 py27-ros-catkin>=0.7<0.8 py27-ros-catkin>=0.7<0.8 EXPECT_TARGETS=fetch install package LC_MONETARY=C PATCH=/usr/bin/patch PKG_CONFIG=/usr/bin/pkg-config _override_vars_devel_boost_libs=PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD _override_vars_graphics_ros_urdf=PKGREQD PKGREQD PKGREQD MAKEFLAGS= --no-print-directory -- PKGREQD.cmdline=py27-prf-gazebo-ros-pkgs-3.0.1r5~!doc RECURSIVE_PKGPATH=wip/py-prf-gazebo-ros-pkgs\ tag=Ubuntu-18.04.pal-x86_64 BULK_LOGDIR=/local/robotpkg/var/log/bulk BULKBASE=/opt/openrobots LOCALBASE=/opt/openrobots PKG_DBDIR=/opt/openrobots/var/db/robotpkg EXPECT_TARGETS=fetch\ install\ package _override_vars_pkgtools_digest=PKGREQD PKGREQD CPP=/usr/bin/gcc -E _overrides_devel_ros_class_loader_PKGREQD=ros-class-loader>=0.4<0.5 ros-class-loader>=0.4<0.5 ros-class-loader>=0.4<0.5 LOWER_OPSYS=ubuntu _overrides_devel_boost_libs_PKGREQD=boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 bf= _override_vars_pkgtools_pkgrepo2deb=PKGREQD PKGREQD _overrides_graphics_ros_urdf_PKGREQD=ros-urdf>=1.13<1.14 ros-urdf>=1.13<1.14 ros-urdf>=1.13<1.14 _overrides_pkgtools_digest_PKGREQD=digest>=20080510 digest>=20080510 _override_vars_lang_ros_message_runtime=PKGREQD PKGREQD PKGREQD GCC=/usr/bin/gcc DIGEST=/opt/openrobots/sbin/robotpkg_digest TAR=/bin/tar LOWER_OS_VERSION=18.04.pal PYTHONDONTWRITEBYTECODE=1 MACHINE_KERNEL=Linux-5.4.0-80-generic-x86_64 _overrides_pkgtools_pkgrepo2deb_PKGREQD=pkgrepo2deb>=1.9 pkgrepo2deb>=1.9 OWNER_GID=robots _override_vars_motion_ros_control_toolbox=PKGREQD PKGREQD PKGREQD _override_vars_middleware_ros_comm=PKGREQD PKGREQD PKGREQD _overrides_lang_ros_message_runtime_PKGREQD=ros-message-runtime>=0.4<0.5 ros-message-runtime>=0.4<0.5 ros-message-runtime>=0.4<0.5 _override_vars_devel_ros_nodelet_core=PKGREQD PKGREQD PKGREQD PKGTOOLS_VERSION=20110805.12 RECURSIVE_PKGPATH=wip/py-prf-gazebo-ros-pkgs PKG_CONFIG_PATH=/opt/pal/ferrum/lib/pkgconfig:/opt/ros/melodic/lib/pkgconfig _overrides_motion_ros_control_toolbox_PKGREQD=ros-control-toolbox>=1.16<1.20 ros-control-toolbox>=1.16<1.20 ros-control-toolbox>=1.16<1.20 _override_vars_image_opencv3=PKGREQD PKGREQD PKGREQD _overrides_middleware_ros_comm_PKGREQD=ros-comm>=1.13<1.15 ros-comm>=1.13<1.15 ros-comm>=1.13<1.15 GXX=/usr/bin/g++ MAKECONF=/opt/robotpkg/etc/robotpkg-wip.conf _override_vars_archivers_pax=PKGREQD PKGREQD rm= _overrides_devel_ros_nodelet_core_PKGREQD=ros-nodelet-core>=1.9<1.10 ros-nodelet-core>=1.9<1.10 ros-nodelet-core>=1.9<1.10 PYTHON_INCLUDE_CONFIG=/usr/include/x86_64-linux-gnu/python2.7/ _overrides_image_opencv3_PKGREQD=opencv3>=3<4 opencv3>=3<4 opencv3>=3<4 LC_COLLATE=C OS_KERNEL=Linux ROBOTPKG_TRUSTED_ENV=robotpkg PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/snap/bin _overrides_archivers_pax_PKGREQD=pax pax CXXCPP=/usr/bin/g++ -E CMAKE=/usr/bin/cmake PYTHON27_INCLUDE=/usr/include/python2.7/ MAKELEVEL=4 DEB_HOST_MULTIARCH=x86_64-linux-gnu MACHINE_PLATFORM=Ubuntu-18.04.pal-x86_64 _override_vars_math_ros_angles=PKGREQD PKGREQD PKGREQD ROBOTPKG_DIR=/local/robotpkg/var/lib/robotpkg TNFTP=/opt/openrobots/sbin/tnftp LANG=C MAKEOVERRIDES=PKGREQD.cmdline=py27-prf-gazebo-ros-pkgs-3.0.1r5~!doc RECURSIVE_PKGPATH=wip/py-prf-gazebo-ros-pkgs\ tag=Ubuntu-18.04.pal-x86_64 BULK_LOGDIR=/local/robotpkg/var/log/bulk BULKBASE=/opt/openrobots LOCALBASE=/opt/openrobots PKG_DBDIR=/opt/openrobots/var/db/robotpkg EXPECT_TARGETS=fetch\ install\ package _overrides_math_ros_angles_PKGREQD=ros-angles>=1.9 ros-angles>=1.9 ros-angles>=1.9 LC_MESSAGES=C _override_vars_devel_ros_ros=PKGREQD PKGREQD PKGREQD tag=Ubuntu-18.04.pal-x86_64 CXX=/usr/bin/g++ _overrides_devel_ros_ros_PKGREQD=ros-ros>=1.14<1.15 ros-ros>=1.14<1.15 ros-ros>=1.14<1.15 _override_vars_devel_ros_pluginlib=PKGREQD PKGREQD PKGREQD LOCALBASE=/opt/openrobots _override_vars_pkgtools_pkg_config=PKGREQD PKGREQD PKGREQD OWNER_UID=rbulk BULK_LOGDIR=/local/robotpkg/var/log/bulk _overrides_devel_ros_pluginlib_PKGREQD=ros-pluginlib>=1.12<1.13 ros-pluginlib>=1.12<1.13 ros-pluginlib>=1.12<1.13 _override_vars_middleware_ros_actionlib=PKGREQD PKGREQD PKGREQD ZCAT=/bin/zcat _override_vars_image_ros_vision_opencv=PKGREQD PKGREQD PKGREQD _override_vars_math_ros_geometry=PKGREQD PKGREQD PKGREQD PAX=/bin/pax LOWER_OS_KERNEL=linux _overrides_pkgtools_pkg_config_PKGREQD=pkg-config>=0.22 pkg-config>=0.22 pkg-config>=0.22 _overrides_image_ros_vision_opencv_PKGREQD=ros-vision-opencv>=1.13<1.14 ros-vision-opencv>=1.13<1.14 ros-vision-opencv>=1.13<1.14 _override_vars_math_eigen3=PKGREQD PKGREQD PKGREQD GPG=/usr/bin/gpg --homedir=/opt/robotpkg/etc/gnupg PYTHON27_LIB=/usr/lib/x86_64-linux-gnu/libpython2.7.so _overrides_middleware_ros_actionlib_PKGREQD=ros-actionlib>=1.11<1.13 ros-actionlib>=1.11<1.13 ros-actionlib>=1.11<1.13 _overrides_math_ros_geometry_PKGREQD=ros-geometry>=1.12<1.13 ros-geometry>=1.12<1.13 ros-geometry>=1.12<1.13 PYTHON_INCLUDE=/usr/include/python2.7/ PWD=/local/robotpkg/var/lib/robotpkg/wip/py-prf-gazebo-ros-pkgs _override_vars_interfaces_ros_std_msgs=PKGREQD PKGREQD PKGREQD _override_vars_middleware_ros_genmsg=PKGREQD PKGREQD PKGREQD _overrides_math_eigen3_PKGREQD=eigen3>=3.0.0 eigen3>=3.0.0 eigen3>=3.0.0 PYTHON27=/usr/bin/python2.7 _ROBOTPKG_NOW=0927180802 _overrides_interfaces_ros_std_msgs_PKGREQD=ros-std-msgs>=0.5 ros-std-msgs>=0.5 ros-std-msgs>=0.5 PYTHONPATH=/opt/pal/ferrum/lib/python2.7/dist-packages:/opt/ros/melodic/lib/python2.7/dist-packages LC_NUMERIC=C _override_vars_image_ros_image_common=PKGREQD PKGREQD PKGREQD _overrides_middleware_ros_genmsg_PKGREQD=ros-genmsg>=0.5<0.6 ros-genmsg>=0.5<0.6 ros-genmsg>=0.5<0.6 CC=/usr/bin/gcc MFLAGS=--no-print-directory _override_vars_lang_ros_message_generation=PKGREQD PKGREQD PKGREQD _override_vars_sysutils_ros_diagnostics=PKGREQD PKGREQD PKGREQD PKG_CONFIG_LIBDIR=/usr/lib/x86_64-linux-gnu/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig _overrides_image_ros_image_common_PKGREQD=ros-image-common>=1.11<1.12 ros-image-common>=1.11<1.12 ros-image-common>=1.11<1.12 NODENAME=hydra64-ferrum --- Running set -e; \ /bin/mkdir -p /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build; \ cd /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build && cd ..; \ test ! -h CMakeLists.txt || rm -f CMakeLists.txt; \ /opt/ros/melodic/bin/catkin_init_workspace Creating symlink "/local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/CMakeLists.txt" pointing to "/opt/ros/melodic/share/catkin/cmake/toplevel.cmake" Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1 && cd '/local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build' && \ /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work PATH='/opt/openrobots/sbin:/opt/ros/melodic/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/snap/bin' LD_LIBRARY_PATH='' \ /usr/bin/cmake -Dgazebo_INCLUDE_DIRS= -Dgazebo_LIBRARIES= -DPYTHON_EXECUTABLE=/usr/bin/python2.7 -DPYTHON_INCLUDE_DIR=/usr/include/python2.7/ -DPYTHON_INCLUDE_DIR2=/usr/include/x86_64-linux-gnu/python2.7/ -DPYTHON_LIBRARY=/usr/lib/x86_64-linux-gnu/libpython2.7.so -DPython_EXECUTABLE=/usr/bin/python2.7 -DPython2_EXECUTABLE=/usr/bin/python2.7 -DPython3_EXECUTABLE=/bin/false '-DBOOST_INCLUDEDIR=/usr/include' '-DBOOST_LIBRARYDIR=/usr/lib' '-Dgazebo_DIR=/usr/lib/x86_64-linux-gnu/cmake/gazebo/' '-DOpenCV_DIR=/usr/share/OpenCV/' '-Dcontroller_interface_DIR=/opt/pal/ferrum/share/controller_interface/cmake/' '-Drqt_controller_manager_DIR=/opt/pal/ferrum/share/rqt_controller_manager/cmake/' '-Dcontroller_interface_DIR=/opt/pal/ferrum/share/controller_interface/cmake/' '-Dcontroller_manager_DIR=/opt/pal/ferrum/share/controller_manager/cmake/' '-Dcontroller_manager_msgs_DIR=/opt/pal/ferrum/share/controller_manager_msgs/cmake/' '-Dhardware_interface_DIR=/opt/pal/ferrum/share/hardware_interface/cmake/' '-Dtransmission_interface_DIR=/opt/pal/ferrum/share/transmission_interface/cmake/' '-Dcatkin_DIR=/opt/ros/melodic/share/catkin/cmake/' '-Dcmake_modules_DIR=/opt/ros/melodic/share/cmake_modules/cmake/' '-Dgenmsg_DIR=/opt/ros/melodic/share/genmsg/cmake/' '-Dmessage_generation_DIR=/opt/ros/melodic/share/message_generation/cmake/' '-Dpluginlib_DIR=/opt/ros/melodic/share/pluginlib/cmake/' '-Durdf_DIR=/opt/ros/melodic/share/urdf/cmake/' '-Durdf_parser_plugin_DIR=/opt/ros/melodic/share/urdf_parser_plugin/cmake/' '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=/opt/openrobots;/opt/ros/melodic' -DCATKIN_DEVEL_PREFIX=/local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage -DNOSETESTS=/usr/bin/nosetests-2.7 -DGTEST_ROOT=/usr -DCATKIN_BUILD_BINARY_PACKAGE=1 -DSETUPTOOLS_DEB_LAYOUT=OFF --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE -DCMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG ' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man .. Not searching for unused variables given on the command line. -- The C compiler identification is GNU 7.5.0 -- The CXX compiler identification is GNU 7.5.0 -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working C compiler: /usr/bin/gcc - skipped -- Detecting C compile features -- Detecting C compile features - done -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Check for working CXX compiler: /usr/bin/g++ - skipped -- Detecting CXX compile features -- Detecting CXX compile features - done -- Using CATKIN_DEVEL_PREFIX: /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage -- Using CMAKE_PREFIX_PATH: /opt/openrobots;/opt/ros/melodic -- This workspace overlays: /opt/ros/melodic -- Found PythonInterp: /usr/bin/python2.7 (found version "2.7.17") -- Using PYTHON_EXECUTABLE: /usr/bin/python2.7 -- Using default Python package layout -- Using empy: /usr/bin/empy -- Using CATKIN_ENABLE_TESTING: ON -- Skip enable_testing() when building binary package -- Using CATKIN_TEST_RESULTS_DIR: /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build/test_results -- Found gtest sources under '/usr/src/googletest': gtests will be built -- Found gmock sources under '/usr/src/googletest': gmock will be built CMake Deprecation Warning at /usr/src/googletest/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. CMake Deprecation Warning at /usr/src/googletest/googlemock/CMakeLists.txt:41 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. CMake Deprecation Warning at /usr/src/googletest/googletest/CMakeLists.txt:48 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- Looking for pthread.h -- Looking for pthread.h - found -- Performing Test CMAKE_HAVE_LIBC_PTHREAD -- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed -- Looking for pthread_create in pthreads -- Looking for pthread_create in pthreads - not found -- Looking for pthread_create in pthread -- Looking for pthread_create in pthread - found -- Found Threads: TRUE -- Using Python nosetests: /usr/bin/nosetests-2.7 -- catkin 0.7.29 -- BUILD_SHARED_LIBS is on -- BUILD_SHARED_LIBS is on -- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -- ~~ traversing 6 packages in topological order: -- ~~ - gazebo_dev -- ~~ - gazebo_ros_pkgs (metapackage) -- ~~ - gazebo_msgs -- ~~ - gazebo_ros -- ~~ - gazebo_plugins -- ~~ - gazebo_ros_control -- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -- +++ processing catkin package: 'gazebo_dev' -- ==> add_subdirectory(gazebo_dev) CMake Deprecation Warning at gazebo_dev/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- +++ processing catkin metapackage: 'gazebo_ros_pkgs' -- ==> add_subdirectory(gazebo_ros_pkgs) CMake Deprecation Warning at gazebo_ros_pkgs/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- +++ processing catkin package: 'gazebo_msgs' -- ==> add_subdirectory(gazebo_msgs) CMake Deprecation Warning at gazebo_msgs/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- Disabling the following message generators: geneus;gennodejs -- Using these message generators: gencpp;genlisp;genpy -- gazebo_msgs: 9 messages, 23 services -- +++ processing catkin package: 'gazebo_ros' -- ==> add_subdirectory(gazebo_ros) CMake Deprecation Warning at gazebo_ros/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. CMake Warning (dev) at /usr/share/cmake-3.19/Modules/FindPackageHandleStandardArgs.cmake:426 (message): The package name passed to `find_package_handle_standard_args` (PkgConfig) does not match the name of the calling package (gazebo). This can lead to problems in calling code that expects `find_package` result variables (e.g., `_FOUND`) to follow a certain pattern. -- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.1") Call Stack (most recent call first): /usr/share/cmake-3.19/Modules/FindPkgConfig.cmake:67 (find_package_handle_standard_args) /usr/lib/x86_64-linux-gnu/cmake/gazebo/gazebo-config.cmake:30 (include) gazebo_dev/cmake/gazebo_dev-extras.cmake:2 (find_package) /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage/share/gazebo_dev/cmake/gazebo_devConfig.cmake:222 (include) /opt/ros/melodic/share/catkin/cmake/catkinConfig.cmake:76 (find_package) gazebo_ros/CMakeLists.txt:4 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Checking for module 'bullet>=2.82' -- Found bullet, version 2.87 -- Found Simbody: /usr/include/simbody -- Found Boost: /usr/include (found suitable version "1.65.1", minimum required is "1.40.0") found components: thread system filesystem program_options regex iostreams date_time chrono atomic -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so;-lpthread (found version "3.0.0") -- Found Boost: /usr/include (found version "1.65.1") -- Looking for OGRE... -- OGRE_PREFIX_WATCH changed. -- Checking for module 'OGRE' -- Found OGRE, version 1.9.0 -- Found Ogre Ghadamon (1.9.0) -- Found OGRE: optimized;/usr/lib/x86_64-linux-gnu/libOgreMain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreMain.so CMake Warning (dev) at /usr/share/cmake-3.19/Modules/FindBoost.cmake:1330 (if): Policy CMP0054 is not set: Only interpret if() arguments as variables or keywords when unquoted. Run "cmake --help-policy CMP0054" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Quoted variables like "chrono" will no longer be dereferenced when the policy is set to NEW. Since the policy is not set the OLD behavior will be used. Call Stack (most recent call first): /usr/share/cmake-3.19/Modules/FindBoost.cmake:1935 (_Boost_MISSING_DEPENDENCIES) /usr/share/OGRE/cmake/modules/FindOGRE.cmake:318 (find_package) /usr/lib/x86_64-linux-gnu/cmake/gazebo/gazebo-config.cmake:175 (find_package) gazebo_dev/cmake/gazebo_dev-extras.cmake:2 (find_package) /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage/share/gazebo_dev/cmake/gazebo_devConfig.cmake:222 (include) /opt/ros/melodic/share/catkin/cmake/catkinConfig.cmake:76 (find_package) gazebo_ros/CMakeLists.txt:4 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Looking for OGRE_Paging... -- Found OGRE_Paging: optimized;/usr/lib/x86_64-linux-gnu/libOgrePaging.so;debug;/usr/lib/x86_64-linux-gnu/libOgrePaging.so -- Looking for OGRE_Terrain... -- Found OGRE_Terrain: optimized;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so -- Looking for OGRE_Property... -- Found OGRE_Property: optimized;/usr/lib/x86_64-linux-gnu/libOgreProperty.so;debug;/usr/lib/x86_64-linux-gnu/libOgreProperty.so -- Looking for OGRE_RTShaderSystem... -- Found OGRE_RTShaderSystem: optimized;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so;debug;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so -- Looking for OGRE_Volume... -- Found OGRE_Volume: optimized;/usr/lib/x86_64-linux-gnu/libOgreVolume.so;debug;/usr/lib/x86_64-linux-gnu/libOgreVolume.so -- Looking for OGRE_Overlay... -- Found OGRE_Overlay: optimized;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so;debug;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so;-lpthread (found suitable version "3.0.0", minimum required is "2.3.0") -- Config-file not installed for ZeroMQ -- checking for pkg-config -- Checking for module 'libzmq >= 4' -- Found libzmq , version 4.2.5 -- Found ZeroMQ: TRUE (Required is at least version "4") -- Checking for module 'uuid' -- Found uuid, version 2.31.1 -- Found UUID: TRUE -- Checking for module 'tinyxml2' -- Found tinyxml2, version 6.0.0 -- Looking for dlfcn.h - found -- Looking for libdl - found -- Found DL: TRUE -- FreeImage.pc not found, we will search for FreeImage_INCLUDE_DIRS and FreeImage_LIBRARIES -- Found UUID: TRUE -- Checking for module 'gts' -- Found gts, version 0.7.6 -- Found GTS: TRUE -- Checking for module 'libswscale' -- Found libswscale, version 4.8.100 -- Found SWSCALE: TRUE -- Checking for module 'libavdevice >= 56.4.100' -- Found libavdevice , version 57.10.100 -- Found AVDEVICE: TRUE (Required is at least version "56.4.100") -- Checking for module 'libavformat' -- Found libavformat, version 57.83.100 -- Found AVFORMAT: TRUE -- Checking for module 'libavcodec' -- Found libavcodec, version 57.107.100 -- Found AVCODEC: TRUE -- Checking for module 'libavutil' -- Found libavutil, version 55.78.100 -- Found AVUTIL: TRUE -- Found CURL: /usr/lib/x86_64-linux-gnu/libcurl.so (found version "7.58.0") -- Checking for module 'jsoncpp' -- Found jsoncpp, version 1.7.4 -- Found JSONCPP: TRUE -- Checking for module 'yaml-0.1' -- Found yaml-0.1, version 0.1.7 -- Found YAML: TRUE -- Checking for module 'libzip' -- Found libzip, version 1.1.2 -- Found ZIP: TRUE -- Gazebo version: 9.11 -- Disabling the following message generators: geneus;gennodejs -- Using these message generators: gencpp;genlisp;genpy -- Checking for module 'libxml-2.0' -- Found libxml-2.0, version 2.9.4 -- Found Boost: /usr/include (found version "1.65.1") found components: thread chrono system date_time atomic -- Found TinyXML: /usr/lib/x86_64-linux-gnu/libtinyxml.so -- +++ processing catkin package: 'gazebo_plugins' -- ==> add_subdirectory(gazebo_plugins) CMake Deprecation Warning at gazebo_plugins/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. CMake Warning (dev) at /usr/share/cmake-3.19/Modules/FindPackageHandleStandardArgs.cmake:426 (message): The package name passed to `find_package_handle_standard_args` (PkgConfig) does not match the name of the calling package (gazebo). This can lead to problems in calling code that expects `find_package` result variables (e.g., `_FOUND`) to follow a certain pattern. Call Stack (most recent call first): /usr/share/cmake-3.19/Modules/FindPkgConfig.cmake:67 (find_package_handle_standard_args) /usr/lib/x86_64-linux-gnu/cmake/gazebo/gazebo-config.cmake:30 (include) gazebo_dev/cmake/gazebo_dev-extras.cmake:2 (find_package) /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage/share/gazebo_dev/cmake/gazebo_devConfig.cmake:222 (include) /opt/ros/melodic/share/catkin/cmake/catkinConfig.cmake:76 (find_package) gazebo_plugins/CMakeLists.txt:6 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found Boost: /usr/include (found suitable version "1.65.1", minimum required is "1.40.0") found components: thread system filesystem program_options regex iostreams date_time chrono atomic -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so;-lpthread (found version "3.0.0") -- Found Boost: /usr/include (found version "1.65.1") -- Looking for OGRE... -- Found Ogre Ghadamon (1.9.0) -- Found OGRE: optimized;/usr/lib/x86_64-linux-gnu/libOgreMain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreMain.so CMake Warning (dev) at /usr/share/cmake-3.19/Modules/FindBoost.cmake:1330 (if): Policy CMP0054 is not set: Only interpret if() arguments as variables or keywords when unquoted. Run "cmake --help-policy CMP0054" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Quoted variables like "chrono" will no longer be dereferenced when the policy is set to NEW. Since the policy is not set the OLD behavior will be used. Call Stack (most recent call first): /usr/share/cmake-3.19/Modules/FindBoost.cmake:1935 (_Boost_MISSING_DEPENDENCIES) /usr/share/OGRE/cmake/modules/FindOGRE.cmake:318 (find_package) /usr/lib/x86_64-linux-gnu/cmake/gazebo/gazebo-config.cmake:175 (find_package) gazebo_dev/cmake/gazebo_dev-extras.cmake:2 (find_package) /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage/share/gazebo_dev/cmake/gazebo_devConfig.cmake:222 (include) /opt/ros/melodic/share/catkin/cmake/catkinConfig.cmake:76 (find_package) gazebo_plugins/CMakeLists.txt:6 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Looking for OGRE_Paging... -- Found OGRE_Paging: optimized;/usr/lib/x86_64-linux-gnu/libOgrePaging.so;debug;/usr/lib/x86_64-linux-gnu/libOgrePaging.so -- Looking for OGRE_Terrain... -- Found OGRE_Terrain: optimized;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so -- Looking for OGRE_Property... -- Found OGRE_Property: optimized;/usr/lib/x86_64-linux-gnu/libOgreProperty.so;debug;/usr/lib/x86_64-linux-gnu/libOgreProperty.so -- Looking for OGRE_RTShaderSystem... -- Found OGRE_RTShaderSystem: optimized;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so;debug;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so -- Looking for OGRE_Volume... -- Found OGRE_Volume: optimized;/usr/lib/x86_64-linux-gnu/libOgreVolume.so;debug;/usr/lib/x86_64-linux-gnu/libOgreVolume.so -- Looking for OGRE_Overlay... -- Found OGRE_Overlay: optimized;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so;debug;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so;-lpthread (found suitable version "3.0.0", minimum required is "2.3.0") -- Config-file not installed for ZeroMQ -- checking for pkg-config -- Checking for module 'libzmq >= 4' -- Found libzmq , version 4.2.5 -- Checking for module 'uuid' -- Found uuid, version 2.31.1 -- Found UUID: TRUE -- Checking for module 'tinyxml2' -- Found tinyxml2, version 6.0.0 -- Looking for dlfcn.h - found -- Looking for libdl - found -- FreeImage.pc not found, we will search for FreeImage_INCLUDE_DIRS and FreeImage_LIBRARIES -- Found UUID: TRUE -- Checking for module 'gts' -- Found gts, version 0.7.6 -- Checking for module 'libswscale' -- Found libswscale, version 4.8.100 -- Checking for module 'libavdevice >= 56.4.100' -- Found libavdevice , version 57.10.100 -- Checking for module 'libavformat' -- Found libavformat, version 57.83.100 -- Checking for module 'libavcodec' -- Found libavcodec, version 57.107.100 -- Checking for module 'libavutil' -- Found libavutil, version 55.78.100 -- Checking for module 'jsoncpp' -- Found jsoncpp, version 1.7.4 -- Checking for module 'yaml-0.1' -- Found yaml-0.1, version 0.1.7 -- Checking for module 'libzip' -- Found libzip, version 1.1.2 -- Gazebo version: 9.11 -- Disabling the following message generators: geneus;gennodejs -- Using these message generators: gencpp;genlisp;genpy -- Checking for module 'OGRE' -- Found OGRE, version 1.9.0 -- Checking for module 'OGRE-Terrain' -- Found OGRE-Terrain, version 1.9.0 -- Checking for module 'OGRE-Paging' -- Found OGRE-Paging, version 1.9.0 -- Found Boost: /usr/include (found version "1.65.1") found components: thread chrono system date_time atomic -- +++ processing catkin package: 'gazebo_ros_control' -- ==> add_subdirectory(gazebo_ros_control) CMake Deprecation Warning at gazebo_ros_control/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- Performing Test COMPILER_SUPPORTS_CXX14 -- Performing Test COMPILER_SUPPORTS_CXX14 - Success -- Performing Test COMPILER_SUPPORTS_CXX11 -- Performing Test COMPILER_SUPPORTS_CXX11 - Success -- Performing Test COMPILER_SUPPORTS_CXX0X -- Performing Test COMPILER_SUPPORTS_CXX0X - Success -- The compiler /usr/bin/g++ has C++14 support. -- Disabling the following message generators: geneus;gennodejs -- Using these message generators: gencpp;genlisp;genpy CMake Warning (dev) at /usr/share/cmake-3.19/Modules/FindPackageHandleStandardArgs.cmake:426 (message): The package name passed to `find_package_handle_standard_args` (PkgConfig) does not match the name of the calling package (gazebo). This can lead to problems in calling code that expects `find_package` result variables (e.g., `_FOUND`) to follow a certain pattern. Call Stack (most recent call first): /usr/share/cmake-3.19/Modules/FindPkgConfig.cmake:67 (find_package_handle_standard_args) /usr/lib/x86_64-linux-gnu/cmake/gazebo/gazebo-config.cmake:30 (include) gazebo_ros_control/CMakeLists.txt:37 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found Boost: /usr/include (found suitable version "1.65.1", minimum required is "1.40.0") found components: thread system filesystem program_options regex iostreams date_time chrono atomic -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so;-lpthread (found version "3.0.0") -- Found Boost: /usr/include (found version "1.65.1") -- Looking for OGRE... -- Found Ogre Ghadamon (1.9.0) CMake Warning (dev) at /usr/share/cmake-3.19/Modules/FindBoost.cmake:1330 (if): Policy CMP0054 is not set: Only interpret if() arguments as variables or keywords when unquoted. Run "cmake --help-policy CMP0054" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Quoted variables like "chrono" will no longer be dereferenced when the policy is set to NEW. Since the policy is not set the OLD behavior will be used. Call Stack (most recent call first): /usr/share/cmake-3.19/Modules/FindBoost.cmake:1935 (_Boost_MISSING_DEPENDENCIES) /usr/share/OGRE/cmake/modules/FindOGRE.cmake:318 (find_package) /usr/lib/x86_64-linux-gnu/cmake/gazebo/gazebo-config.cmake:175 (find_package) gazebo_ros_control/CMakeLists.txt:37 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Looking for OGRE_Paging... -- Found OGRE_Paging: optimized;/usr/lib/x86_64-linux-gnu/libOgrePaging.so;debug;/usr/lib/x86_64-linux-gnu/libOgrePaging.so -- Looking for OGRE_Terrain... -- Found OGRE_Terrain: optimized;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so -- Looking for OGRE_Property... -- Found OGRE_Property: optimized;/usr/lib/x86_64-linux-gnu/libOgreProperty.so;debug;/usr/lib/x86_64-linux-gnu/libOgreProperty.so -- Looking for OGRE_RTShaderSystem... -- Found OGRE_RTShaderSystem: optimized;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so;debug;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so -- Looking for OGRE_Volume... -- Found OGRE_Volume: optimized;/usr/lib/x86_64-linux-gnu/libOgreVolume.so;debug;/usr/lib/x86_64-linux-gnu/libOgreVolume.so -- Looking for OGRE_Overlay... -- Found OGRE_Overlay: optimized;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so;debug;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so;-lpthread (found suitable version "3.0.0", minimum required is "2.3.0") -- Config-file not installed for ZeroMQ -- checking for pkg-config -- Checking for module 'libzmq >= 4' -- Found libzmq , version 4.2.5 -- Checking for module 'uuid' -- Found uuid, version 2.31.1 -- Found UUID: TRUE -- Checking for module 'tinyxml2' -- Found tinyxml2, version 6.0.0 -- Looking for dlfcn.h - found -- Looking for libdl - found -- FreeImage.pc not found, we will search for FreeImage_INCLUDE_DIRS and FreeImage_LIBRARIES -- Found UUID: TRUE -- Checking for module 'gts' -- Found gts, version 0.7.6 -- Checking for module 'libswscale' -- Found libswscale, version 4.8.100 -- Checking for module 'libavdevice >= 56.4.100' -- Found libavdevice , version 57.10.100 -- Checking for module 'libavformat' -- Found libavformat, version 57.83.100 -- Checking for module 'libavcodec' -- Found libavcodec, version 57.107.100 -- Checking for module 'libavutil' -- Found libavutil, version 55.78.100 -- Checking for module 'jsoncpp' -- Found jsoncpp, version 1.7.4 -- Checking for module 'yaml-0.1' -- Found yaml-0.1, version 0.1.7 -- Checking for module 'libzip' -- Found libzip, version 1.1.2 -- Configuring done CMake Warning at gazebo_ros_control/CMakeLists.txt:65 (add_library): Cannot generate a safe runtime search path for target default_robot_hw_sim because there is a cycle in the constraint graph: dir 0 is [/usr/lib/x86_64-linux-gnu/gazebo-9/plugins] dir 1 is [/opt/pal/ferrum/lib] dir 2 must precede it due to runtime library [libcontrol_toolbox.so] dir 2 is [/opt/ros/melodic/lib] dir 1 must precede it due to runtime library [libcontroller_manager.so] Some of these libraries may not be found correctly. CMake Warning at gazebo_ros_control/CMakeLists.txt:62 (add_library): Cannot generate a safe runtime search path for target gazebo_ros_control because there is a cycle in the constraint graph: dir 0 is [/usr/lib/x86_64-linux-gnu/gazebo-9/plugins] dir 1 is [/opt/pal/ferrum/lib] dir 2 must precede it due to runtime library [libcontrol_toolbox.so] dir 2 is [/opt/ros/melodic/lib] dir 1 must precede it due to runtime library [libcontroller_manager.so] Some of these libraries may not be found correctly. -- Generating done -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build